Bug 1242926 - Node.js 5.x
Summary: Node.js 5.x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF23, SystemWideChange, ...
Depends On:
Blocks: 1264623
TreeView+ depends on / blocked
 
Reported: 2015-07-14 12:25 UTC by Jan Kurik
Modified: 2016-09-29 11:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 11:25:34 UTC
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jan Kurik 2015-07-14 12:25:46 UTC
This is a tracking bug for Change: Node.js 0.12
For more details, see: https://fedoraproject.org//wiki/Changes/NodeJS012

Fedora 23 will be updated to Node.js 0.12, the latest release of the platform built on Chrome's JavaScript runtime for easily building fast, scalable network applications.

Comment 1 Jan Kurik 2015-07-14 14:02:46 UTC
This message is a reminder that Fedora 23 Change Checkpoint: Completion deadline (testable) is on 2015-07-28 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 2 Jan Kurik 2015-07-15 13:17:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Jan Kurik 2015-08-06 09:03:36 UTC
Removing from the scope of F23 as we have already passed the deadline when this change needs to be in MODIFIED state.

Comment 4 Stephen Gallagher 2015-11-30 13:13:16 UTC
Updating the targeted version of this upgrade. The Node.js SIG is going to work on moving to the 4.x LTS version in the Fedora 24 timeframe.

New WIP Change Proposal: https://fedoraproject.org/wiki/Changes/NodeJS4x

Comment 5 Stephen Gallagher 2016-01-19 19:18:07 UTC
Packages are now all built in the f24-nodejs4 side-tag and it has been requested to be merged back into Rawhide.

Comment 6 Jan Kurik 2016-02-24 14:26:08 UTC
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.

Comment 7 Stephen Gallagher 2016-02-24 14:43:05 UTC
This was merged back into Fedora Rawhide several weeks ago. I forgot to update the status to MODIFIED. I have now done so.

Comment 8 Stephen Gallagher 2016-04-01 20:18:05 UTC
At today's FESCo meeting today, we agreed to allow Node.js to ship the 5.x version in Fedora 24. Updating the topic.

Comment 9 Simon Clark 2016-04-17 16:04:07 UTC
I have added release notes text (mainly taken from the change description) to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/plain/en-US/Development_Web.xml

Please would you take a look at the draft and let me know if anything should be added or changed.

Comment 10 Jan Kurik 2016-04-20 15:02:06 UTC
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 11 Stephen Gallagher 2016-04-20 15:14:07 UTC
This is in the stable tree of Fedora 24 already. Marking it as ON_QA, though I'm unclear if this should be closed CURRENT_RELEASE.

Comment 12 Jan Kurik 2016-04-20 15:26:57 UTC
(In reply to Stephen Gallagher from comment #11)
> This is in the stable tree of Fedora 24 already. Marking it as ON_QA, though
> I'm unclear if this should be closed CURRENT_RELEASE.

I am going to close all the tracking tickets for delivered Changes after F24 GA. So, you can close the ticket if you feel it is fully implemented and tested, or you can leave it open and it will get closed for you after GA.


Note You need to log in before you can comment on or make changes to this bug.